aboutsummaryrefslogtreecommitdiff
path: root/core/kiss
diff options
context:
space:
mode:
authorCem Keylan <cem@ckyln.com>2020-03-15 13:56:11 +0300
committerCem Keylan <cem@ckyln.com>2020-03-15 13:56:11 +0300
commitdda8630d16564c781608c774defa66085f67e4a5 (patch)
tree682be8ce5837237b9182733ad17f6a38ae6aab53 /core/kiss
parentc9683824a50006cc08e86b26f772c633436e14de (diff)
downloadrepository-dda8630d16564c781608c774defa66085f67e4a5.tar.gz
merge kiss and kiss-utils
Diffstat (limited to 'core/kiss')
-rwxr-xr-xcore/kiss/build10
-rw-r--r--core/kiss/checksums3
-rwxr-xr-xcore/kiss/files/kiss-chbuild35
-rwxr-xr-xcore/kiss/post-install11
-rw-r--r--core/kiss/sources3
-rw-r--r--core/kiss/version2
6 files changed, 58 insertions, 6 deletions
diff --git a/core/kiss/build b/core/kiss/build
index 2e6c7c3f..6324e5e0 100755
--- a/core/kiss/build
+++ b/core/kiss/build
@@ -1,5 +1,9 @@
#!/bin/sh -e
-install -D kiss "$1/usr/bin/kiss"
-install -D kiss_path.sh "$1/etc/profile.d/kiss_path.sh"
-install -D kiss.1 "$1/usr/share/man/man1/kiss.1"
+mv kiss-chbuild contrib
+
+install -Dm755 kiss "$1/usr/bin/kiss"
+install -Dm755 kiss_path.sh "$1/etc/profile.d/kiss_path.sh"
+install -Dm644 kiss.1 "$1/usr/share/man/man1/kiss.1"
+
+install -Dm755 -t "$1/usr/bin" contrib/*
diff --git a/core/kiss/checksums b/core/kiss/checksums
index be48c8ba..8f51fb4c 100644
--- a/core/kiss/checksums
+++ b/core/kiss/checksums
@@ -1,2 +1,3 @@
-c774ca22b56a89d7166fc85c11394946d453a5b730ab03300d4ea4fd8e08359a 1.7.7.tar.gz
+c6d1e0df592a5407e3eaceb7c7094f75d0719ba61f5133cf8dd53a1edc9056d3 1.7.10.tar.gz
d56d159fd9f0c39a2692b4b00b1543b2eb476a0659aa6899efa0ff460863dc70 kiss_path.sh
+62912794b89fa305a1aca18e82b200300ae5b55ed67feb86466198abbb41789f kiss-chbuild
diff --git a/core/kiss/files/kiss-chbuild b/core/kiss/files/kiss-chbuild
new file mode 100755
index 00000000..9df18ccb
--- /dev/null
+++ b/core/kiss/files/kiss-chbuild
@@ -0,0 +1,35 @@
+#!/bin/sh -e
+#
+# Create/destroy temporary chroots.
+
+log() {
+ printf '\033[31;1m->\033[m %s.\n' "$@"
+}
+
+clean() {
+ log "Destroying chroot"
+ su -c "rm -rf chroot-$pid" || clean
+}
+
+pid=$$
+
+cd "${cac_dir:=$KISS_ROOT${XDG_CACHE_HOME:-$HOME/.cache}/kiss}"
+
+[ -f carbs-rootfs.tar.xz ] || {
+ log "Downloading chroot tarball"
+ wget https://dl.carbslinux.org/releases/carbs-rootfs.tar.xz
+}
+
+[ -d carbs-chroot ] || {
+ log "Extracting chroot"
+ mkdir -p carbs-chroot
+ tar xvf carbs-rootfs.tar.xz -C carbs-chroot
+}
+
+log "Creating temporary chroot"
+cp -a carbs-chroot "chroot-$pid"
+
+trap clean EXIT INT
+
+log "Entering chroot"
+su -c "kiss-chroot chroot-$pid"
diff --git a/core/kiss/post-install b/core/kiss/post-install
new file mode 100755
index 00000000..fa0f269b
--- /dev/null
+++ b/core/kiss/post-install
@@ -0,0 +1,11 @@
+#!/bin/sh -e
+
+cat <<EOF
+NOTE:
+
+ kiss and kiss-utils packages have
+ been merged. You can remove kiss-utils if you have
+ it, and reinstall this package to use the upstream
+ contrib programs.
+
+EOF
diff --git a/core/kiss/sources b/core/kiss/sources
index 857f237d..da21c1a7 100644
--- a/core/kiss/sources
+++ b/core/kiss/sources
@@ -1,2 +1,3 @@
-https://github.com/kisslinux/kiss/archive/1.7.7.tar.gz
+https://github.com/kisslinux/kiss/archive/1.7.10.tar.gz
files/kiss_path.sh
+files/kiss-chbuild
diff --git a/core/kiss/version b/core/kiss/version
index 65c67121..a275899b 100644
--- a/core/kiss/version
+++ b/core/kiss/version
@@ -1 +1 @@
-1.7.7 1
+1.7.10 1